#2571 closed defect (fixed)

m68k/mcf5235: linker script update (add KEEP() sections)

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: Indefinite
Component: bsps Version: 5
Severity: normal Keywords: function sections, KEEP
Cc: Blocked By:
Blocking:

Description

This BSP's linker script does not include KEEP() directives and thus cannot have per-function and per-data element section support enabled.

The preferred solution is to convert the BSP to use a shared base linker script. The acceptable solution is to add the proper KEEP directives to the existing linker script(s).

Shared linker scripts for the arm, m68k, and sparc have the proper KEEP sections and can serve as examples.

Change History (5)

comment:1 Changed on Feb 15, 2017 at 1:49:47 PM by Sebastian Huber

Owner: set to Joel Sherrill
Status: newassigned

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Aug 24, 2017 at 5:59:58 AM by Sebastian Huber

Milestone: 4.12.0Indefinite

comment:4 Changed on Sep 14, 2018 at 6:59:52 PM by Joel Sherrill

Keywords: function sections KEEP added

comment:5 Changed on Nov 28, 2018 at 6:19:01 PM by Shashvat Jain <shashvatjain2002@…>

Resolution: fixed
Status: assignedclosed

In e80d34e/rtems:

m68k/mcf5235:Add per-section compilation and linking support (GCI 2018)

The size of the sample executables without this option were:

text data bss dec hex filename

83152 1152 11904 96208 177d0 base_sp.exe

198784 2096 14848 215728 34ab0 capture.exe
252496 2912 12912 268320 41820 cdtest.exe
861744 21888 19648 903280 dc870 cxx_iostream.exe
564768 4640 24304 593712 90f30 fileio.exe
117184 1504 12048 130736 1feb0 hello.exe
261024 6016 18688 285728 45c20 loopback.exe

67232 1008 8768 77008 12cd0 minimum.exe

106304 1632 12016 119952 1d490 nsecs.exe
191840 1904 12624 206368 32620 paranoia.exe
429824 12048 41472 483344 76010 pppd.exe

85904 1168 11936 99008 182c0 ticker.exe
86016 1120 15808 102944 19220 unlimited.exe

The size of the sample executables with this option were:

text data bss dec hex filename

78512 1136 11824 91472 16550 base_sp.exe

185184 2096 14800 202080 31560 capture.exe
184192 2144 12864 199200 30a20 cdtest.exe
184416 2224 13072 199712 30c20 cxx_iostream.exe
552240 4624 23984 580848 8dcf0 fileio.exe
108256 1504 12016 121776 1dbb0 hello.exe
245008 6016 18608 269632 41d40 loopback.exe

62448 1008 8688 72144 119d0 minimum.exe

100240 1616 11936 113792 1bc80 nsecs.exe
183216 1904 12592 197712 30450 paranoia.exe
417248 12048 41392 470688 72ea0 pppd.exe

81024 1168 11856 94048 16f60 ticker.exe
84208 1120 15776 101104 18af0 unlimited.exe

Closes #2571

Note: See TracTickets for help on using tickets.